aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAndreas Müller <schnitzeltony@gmail.com>2019-02-19 23:23:16 +0100
committerKhem Raj <raj.khem@gmail.com>2019-02-20 11:11:43 -0800
commit9cb45103ea7ca8d90fff60289afff72cf2ac17f5 (patch)
treeadef6d827ccd108ca8566fae0a4486d63bd51598
parent423828d894a5c78ebe5fc527e9aeca66ac1838b1 (diff)
downloadmeta-openembedded-contrib-9cb45103ea7ca8d90fff60289afff72cf2ac17f5.tar.gz
meta-openembedded-contrib-9cb45103ea7ca8d90fff60289afff72cf2ac17f5.tar.bz2
meta-openembedded-contrib-9cb45103ea7ca8d90fff60289afff72cf2ac17f5.zip
libpeas: initial add 1.22.0
Am working on a rebirth of midori (no it's not dead) at meta-browser. To avoid an additional layer dependency for meta-browser, put libpeas to meta-oe. Signed-off-by: Andreas Müller <schnitzeltony@gmail.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
-rw-r--r--meta-oe/recipes-gnome/libpeas/libpeas_1.22.0.bb24
1 files changed, 24 insertions, 0 deletions
diff --git a/meta-oe/recipes-gnome/libpeas/libpeas_1.22.0.bb b/meta-oe/recipes-gnome/libpeas/libpeas_1.22.0.bb
new file mode 100644
index 0000000000..c1ead0670b
--- /dev/null
+++ b/meta-oe/recipes-gnome/libpeas/libpeas_1.22.0.bb
@@ -0,0 +1,24 @@
+SUMMARY = "libpeas is a gobject-based plugins engine"
+HOMEPAGE = "https://wiki.gnome.org/Projects/Libpeas"
+LICENSE = "LGPLv2.1+"
+LIC_FILES_CHKSUM = "file://COPYING;md5=4b54a1fd55a448865a0b32d41598759d"
+
+DEPENDS = "gnome-common gtk+3 intltool-native"
+
+inherit gnomebase gobject-introspection gtk-doc gtk-icon-cache
+
+SRC_URI[archive.md5sum] = "a20dc55c3f88ad06da9491cfd7de7558"
+SRC_URI[archive.sha256sum] = "5b2fc0f53962b25bca131a5ec0139e6fef8e254481b6e777975f7a1d2702a962"
+
+PACKAGECONFIG[python3] = "--enable-python3,--disable-python3,python3-pygobject"
+
+export GIR_EXTRA_LIBS_PATH = "${B}/libpeas/.libs"
+
+PACKAGES =+ "${PN}-demo ${PN}-python3"
+FILES_${PN}-demo = " \
+ ${bindir}/peas-demo \
+ ${libdir}/peas-demo \
+"
+
+RDEPENDS_${PN}-python3 = "python3-pygobject"
+FILES_${PN}-python3 = "${libdir}/libpeas-1.0/loaders/libpython3loader.so"